Bug 84504 - UI: Allow line numbering to be enabled in a single location, in addition to the current per-style method
Summary: UI: Allow line numbering to be enabled in a single location, in addition to t...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Charu Tyagi
QA Contact:
URL:
Whiteboard: BSA target:4.4.0
Keywords:
Depends on:
Blocks: Line-Numbering
  Show dependency treegraph
 
Reported: 2014-09-30 09:26 UTC by Muthu
Modified: 2017-10-17 21:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of the dialog (51.04 KB, image/png)
2014-10-09 13:17 UTC, sophie
Details
Screenshot of the dialog for the latest build (41.11 KB, image/png)
2014-10-13 03:42 UTC, Charu Tyagi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muthu 2014-09-30 09:26:25 UTC
Enabling/Disabling line numbering for headers and footers currently is quite cumbersome. It would be good to have the option on the enable/disable line numbering dialog.
Comment 1 Owen Genat (retired) 2014-09-30 12:48:19 UTC
I don't understand. Enabling line numbering is the same for every paragraph style. First turn on line numbering feature (Tools > Line Numbering...) and then enable the particular paragraph style (Header or Footer in this case) to be included in line numbering.
Comment 2 Muthu 2014-09-30 13:11:00 UTC
@Owen: So, that's what I meant: disabling (enabling) line numbering for header and footer is hidden inside styles menu, while line numbering dialog is separate.
It would be really nice to have it on one single place. (usability perspective).
Comment 3 Owen Genat (retired) 2014-10-01 11:54:14 UTC
OK. Thanks for clearing that up. I have amended the summary to be clearer. If it sounds correct, let me know and I will confirm the report.
Comment 4 Muthu 2014-10-01 11:55:54 UTC
Great! Thank you so much!
Btw, Charu has a patch already: https://gerrit.libreoffice.org/#/c/11730/
Comment 6 Cor Nouws 2014-10-08 18:15:21 UTC
Nice - thanks 
Added explanation to the 4.4. release notes - but no picture.
Comment 7 sophie 2014-10-09 13:17:26 UTC
Created attachment 107612 [details]
screenshot of the dialog

Hi, I wanted to add the dialog screenshot to the release notes, but under the Count area the Restart every new page is not correctly aligned, see screenshot. I reopen this one, let me know if I should open a new bug for that. Thanks Sophie
Comment 8 Adolfo Jayme 2014-10-11 17:55:15 UTC
(In reply to sophie from comment #7)
> Hi, I wanted to add the dialog screenshot to the release notes, but under
> the Count area the Restart every new page is not correctly aligned, see
> screenshot.

Surely that doesn’t belong to this bug report. But before you open another one, cau you test if it still happens in a newer master build? I committed this [1] but maybe something else is needed.

[1]: http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2feb420fa547b89bff5e0c6f848e22f503e6602
Comment 9 Charu Tyagi 2014-10-13 03:40:35 UTC
Hi

I have downloaded the latest code of Libre office and there is no misalignment for me. Everything is coming as per the expectation. I am attaching the screenshot. Kindly have a look at it
Comment 10 Charu Tyagi 2014-10-13 03:42:56 UTC
Created attachment 107753 [details]
Screenshot of the dialog for the latest build
Comment 11 Adolfo Jayme 2014-10-13 06:30:56 UTC
Thanks for checking! I’ll add the feature to the release notes.
Comment 12 Adolfo Jayme 2014-10-13 06:32:15 UTC
Oh, now I see you beat me to it, Charu :-) Thanks again.
Comment 13 Mike §chinagl 2014-12-20 21:39:07 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 


Line numbering can now be enabled in a single location, in addition to the already existing per-style method.

See a graphic of the work:
https://wiki.documentfoundation.org/File:Screenshotforlinenumberingofheader-footer.png
Comment 14 Cor Nouws 2014-12-21 11:38:22 UTC
seems not to work in 4.4.0 RC1
see bug 86984
Comment 15 Cor Nouws 2014-12-21 12:16:14 UTC
(In reply to Cor Nouws from comment #14)
> seems not to work in 4.4.0 RC1
> see bug 86984

In any case with Dutch locale, so I guess only with ENG_US ?

Also note that there is no synchronising between the dialogs, see bug 87549
Comment 16 Muthu 2014-12-22 06:05:54 UTC
(In reply to Cor Nouws from comment #15)
> 
> In any case with Dutch locale, so I guess only with ENG_US ?
I don't think this should be specific to a locale except for the UI. Nevertheless this can be checked.

> 
> Also note that there is no synchronising between the dialogs, see bug 87549
It should be synchronized, except that the dialog considers header/footer, again can be retested.
Comment 17 Mike §chinagl 2015-01-22 10:43:07 UTC
If this feature is not functional now, it should not be listed in the release notes (https://wiki.documentfoundation.org/ReleaseNotes/4.4) of the coming version 4.4. (release is planned to happen in a few days: https://wiki.documentfoundation.org/ReleasePlan/4.4)

The status of the bug should also be changed by competent people.
Comment 18 Muthu 2015-01-22 10:45:01 UTC
(In reply to Mike §chinagl from comment #17)
> If this feature is not functional now, it should not be listed in the
> release notes (https://wiki.documentfoundation.org/ReleaseNotes/4.4) of the
> coming version 4.4. (release is planned to happen in a few days:
> https://wiki.documentfoundation.org/ReleasePlan/4.4)

Why is this not functional, please? This should indeed work...

> 
> The status of the bug should also be changed by competent people.
Comment 19 Mike §chinagl 2015-01-22 10:57:18 UTC
If it works, all is fine. I then misunderstood the communication since Cors comment #14. Sorry
Comment 20 Muthu 2015-01-22 11:03:53 UTC
(In reply to Mike §chinagl from comment #19)
> If it works, all is fine. I then misunderstood the communication since Cors
> comment #14. Sorry

ah..ok :) no problem!
Comment 21 Cor Nouws 2015-01-22 11:47:41 UTC
(In reply to Muthu from comment #20)
> (In reply to Mike §chinagl from comment #19)
> > If it works, all is fine. I then misunderstood the communication since Cors
> > comment #14. Sorry
> 
> ah..ok :) no problem!

Bug 86984 is MAB and not set as fixed, so indeed, it does not work for other locales than EN_US.. (just checked in 4.4.0.2)